Feature
|
Header
|
Element containing Subtree
|
---|---|---|
Extrude
|
ProExtrude.h
|
PRO_E_STD_SECTION
|
Revolve
|
ProRevolve.h
|
PRO_E_STD_SECTION
|
Rib
|
ProRib.h
|
PRO_E_STD_SECTION
|
Hole
|
ProHole.h
|
PRO_E_SKETCHER (2D)
PRO_E_STD_SECTION
|
Fill (Flat datum surface)
|
ProFlatSrf.h
|
PRO_E_STD_SECTION
|
Draft
|
ProDraft.h
|
PRO_E_STD_SECTION
|
Sketched datum curve
|
ProDtmCrv.h
|
PRO_E_STD_SECTION
|
Sketched datum point
|
ProDtmCrv.h
|
PRO_E_STD_SECTION
|
Simple (constant) sweep
|
ProSweep.h
|
PRO_E_SWEEP_SPINE
PRO_E_SWEEP_SECTION(2D)
|
1. | Build an element tree but do not include the element PRO_E_SKETCHER. |
2. | Call ProFeatureCreate() with the option PRO_FEAT_CR_INCOMPLETE_FEAT, so that the incomplete element tree is accepted. |
3. | Extract the value of the element PRO_E_SKETCHER created by Creo Parametric from an element tree extracted using ProFeatureElemtreeExtract() on the incomplete feature. |
4. | Using that value as the ProSection object, create the necessary section entities and dimensions, and solve the section. |
5. | Add any other elements not previously added to the tree, such as extrusion depth. The depth elements may also be added before the creation of incomplete feature (before step 2). |
6. | Call ProFeatureRedefine() with the completed element tree. |
• | Base features, sometimes called first features. This type of feature must be the first feature created in the model, and be of type PRO_FEAT_FIRST_FEAT. |
• | Sketched hole features. |
• | The PRO_E_SWEEP_SECTION section of a simple sweep feature. |
Constant
|
Function
|
Description
|
---|---|---|
PRO_SECSHAPE_EMPTY
|
ProSectionShapeGet()
|
An empty section
|
PRO_SECSHAPE_POINTS
|
ProSectionShapeGet()
|
Section contains only sketched datum points
|
PRO_SECSHAPE_1_OPEN_LOOP
|
ProSectionShapeGet()
|
Section contains a single open loop (and possibly points)
|
PRO_SECSHAPE_1_CLOSED_LOOP
|
ProSectionShapeGet()
|
Section contains a single closed loop (and possibly points)
|
PRO_SECSHAPE_MIXED_LOOPS
|
ProSectionShapeGet()
|
Section contains at least one open and one closed loop (and possibly points)
|
PRO_SECSHAPE_MULTI_OPEN_LOOPS
|
ProSectionShapeGet()
|
Section contains multiple open loops (and possibly points)
|
PRO_SECSHAPE_MULTI_CLOSED_LOOPS
|
ProSectionShapeGet()
|
Section contains multiple closed loops (and possibly points)
|
PRO_SECSHAPE_INTERSECTING
|
ProSectionShapeGet()
|
Section contains loops that intersect each other (and possibly points)
|
|
|
|
|
|
|